﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ZachPreparing
{
    /// <summary>
    /// Логика взаимодействия для AddNewServiceWindow.xaml
    /// </summary>
    public partial class AddNewServiceWindow : Window
    {
        public AddNewServiceWindow()
        {
            InitializeComponent();
        }

        public AddNewServiceWindow(int ServiceID)
        {
            InitializeComponent();
            using (DBConnectionString DB = new DBConnectionString())
            {
                _service = DB.Service.Find(ServiceID);
            }
            IDTB.Text = _service.ID.ToString();
            NameTB.Text = _service.Title.ToString();
            DurationTB.Text = _service.DurationInSeconds.ToString();
            DiscountTB.Text = _service.Discount.ToString();
            DescriptionTB.Text = (_service.Description is null)? "" : _service.Description.ToString();
            CostTB.Text = _service.Cost.ToString();
        }


        private Service _service;
    }
}
